osgGA::OrbitManipulator::OrbitAnimationData Class Reference

`#include <OrbitManipulator>`

Inheritance diagram for osgGA::OrbitManipulator::OrbitAnimationData:

## Public Member Functions

void | start (const osg::Vec3d &movement, const double startTime)
Public Member Functions inherited from osgGA::StandardManipulator::AnimationData
| AnimationData ()
void | start (const double startTime)
Public Member Functions inherited from osg::Referenced
| Referenced ()
| Referenced (bool threadSafeRefUnref)
| Referenced (const Referenced &)
Referenced & | operator= (const Referenced &)
virtual void | setThreadSafeRefUnref (bool)
bool | getThreadSafeRefUnref () const
OpenThreads::Mutex * | getRefMutex () const
int | ref () const
int | unref () const
int | unref_nodelete () const
int | referenceCount () const
ObserverSet * | getObserverSet () const
ObserverSet * | getOrCreateObserverSet () const
void | addObserver (Observer *observer) const
void | removeObserver (Observer *observer) const

## Public Attributes

osg::Vec3d | _movement
Public Attributes inherited from osgGA::StandardManipulator::AnimationData
double | _animationTime
bool | _isAnimating
double | _startTime
double | _phase

## Additional Inherited Members

Static Public Member Functions inherited from osg::Referenced
static OpenThreads::Mutex * | getGlobalReferencedMutex ()
static void | setDeleteHandler (DeleteHandler *handler)
static DeleteHandler * | getDeleteHandler ()
Protected Member Functions inherited from osg::Referenced
virtual | ~Referenced ()
void | signalObserversAndDelete (bool signalDelete, bool doDelete) const
void | deleteUsingDeleteHandler () const
Protected Attributes inherited from osg::Referenced
OpenThreads::AtomicPtr | _observerSet
OpenThreads::Atomic | _refCount

## Member Function Documentation

## start()

void osgGA::OrbitManipulator::OrbitAnimationData::start | ( | const osg::Vec3d & | movement,
|  | const double | startTime )

## Member Data Documentation

## _movement

osg::Vec3d osgGA::OrbitManipulator::OrbitAnimationData::_movement

The documentation for this class was generated from the following file:

- OrbitManipulator